pcb (1:4.3.0-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:35:59 +0000

pcb (1:4.3.0-3) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Jun 2023 22:23:43 +0200

pcb (1:4.3.0-2) experimental; urgency=medium

  * d/rules: build with --with-gaf-datadir option
  * Add gaf-datadir.diff patch to fix setting of GAF scheme path
  * d/pcb-common.lintian-overrides: add override for false
    package-contains-documentation-outside-usr-share-doc tags

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 May 2023 23:25:02 +0200

pcb (1:4.3.0-1) experimental; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 4.3.0
  * d/copyright: update copyright years
  * d/control:
    + Bumped debhelper-compat to 13
    + Update to standards-version 4.6.2
  * d/watch: update file standard
  * Remove source lintian-overrides, no more relevant
  * d/pcb-common.lintian-overrides:
    + Update
    + Add override for spare-manual-page
  * d/u/metadata: remove Homepage field

  [ Bdale Garbee ]
  * remove Bdale from uploaders list

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update changelog for 1:4.3.0-1~2.gbp6cc3df release

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 16 May 2023 01:19:59 +0200

pcb (1:4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * Drop patches, applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 22 Jan 2020 09:15:48 +0100

pcb (1:4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Bumped compat level to 12
  * Update copyright years
  * Set debhelper compat level in build deps
  * Add Rules-Requires-Root=no
  * Update source lintian-overrides location
  * Use secure copyright format URI
  * d/control, d/changelog: remove trailing whitespaces
  * Add typos.diff to fix spelling mistakes
  * Add copyright info for data/appdata.xml*
  * d/rules: set DH_COMPAT=10 during dh_auto_configure

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Jan 2020 16:04:17 +0100

pcb (1:4.2.0-2) unstable; urgency=medium

  * disable test suite on i386 due to known upstream issue in test harness

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Feb 2019 16:01:51 -0700

pcb (1:4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Bdale Garbee <bdale@gag.com>  Sat, 02 Feb 2019 15:33:35 -0700

pcb (1:4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3

 -- Bdale Garbee <bdale@gag.com>  Thu, 04 Oct 2018 08:30:00 -0600

pcb (1:4.1.2-1) unstable; urgency=medium

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

  [ Bdale Garbee ]
  * New upstream version 4.1.2

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Jun 2018 00:11:09 +0200

pcb (1:4.0.2-4) unstable; urgency=medium

  * debian/watch:
    + Remove non-working URL
    + debian/watch: limit search pattern to upstream new versioning scheme

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Oct 2017 04:52:06 +0200

pcb (1:4.0.2-3) unstable; urgency=medium

  * Add -ffloat-store to CFLAGS for *-i386 builds
  * fix_typos.diff: fix  further spelling errors
  * Fix spelling error in an old changelog entry

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 03 Oct 2017 03:43:25 +0200

pcb (1:4.0.2-2) unstable; urgency=medium

  * Add rm_mimelnk.diff patch to remove deprecated
  * mimelnk files (Closes: #875526)
  * Add -ffloat-store to CFLAGS for i386 builds.
    Thanks to Adrian Bunk <bunk@debian.org>
    (Closes: #876641)
  * Update Standards-Version to 4.1.1
  * Re-add myself to uploaders
  * Change Vcs-* fields to secure URLs
  * Update my email address
  * Update copyright years
  * Fix spelling errors
  * Add fix_typos.diff patch to fix upstream
    spelling errors
  * Removed unused lintian overrides
  * Bump to compat level 10
    + Remove autotools-dev sequence
    + Disable autoreconf as it fails the build
    + Link package documentation using pcb*.links,
      since dh_installdocs --linkdoc between
      different arch. packages is not supported in
      compat level 10

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 01 Oct 2017 15:01:48 +0200

pcb (1:4.0.2-1) unstable; urgency=medium

  * new upstream release, using epoch to handle return to simple version
    numbers, closes: #874414
  * clean out Uploaders, closes: #759991, #831485, #859281

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Sep 2017 08:35:44 -0600

pcb (20140316-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/rules update to be able to make arch-indep-only builds and
    arch-dependent-only builds. Closes: #806092

 -- Dima Kogan <dkogan@debian.org>  Sun, 25 Dec 2016 14:56:02 -0800

pcb (20140316-3) unstable; urgency=medium

  * (Build-)Depend on unversioned tcl/tk

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Aug 2014 16:01:10 +0300

pcb (20140316-2) unstable; urgency=medium

  * Revert disable_hid_png3_test.diff patch.
  * Added hid_png.diff patch from upstream which fixes hid_png3 test.
    The test will remain disabled though, as the change to the output png
    cannot be represented in the diff (Closes: #754760)
  * Build with autotools-dev
  * Removed outdated_config.diff patch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Aug 2014 15:18:49 +0300

pcb (20140316-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 17 Mar 2014 09:02:13 -0600

pcb (20110918-9) unstable; urgency=low

  * Build-Dep on libmotif-dev instead of lesstif2-dev (Closes: #714681)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Jul 2013 07:43:29 +0200

pcb (20110918-8) unstable; urgency=low

  * debian/control:
    + Drop libgd2-xpm-dev from Build-Deps
    + Bumped Standards-Version to 3.9.4
    + Update Build-Depends from libgd2-dev to libgd-dev
    + Use canonical URIs in VCS-* fields.
    + Remove obsolete DMUA field.
  * debian/copyright: Updated copyright years.
  * debian/*.menu: Use absolute path for icon in menu files.
  * debian/pcb-{gtk,lesstif}.lintian-overrides: Removed unused overrides for
    menu-icon-missing

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 28 Jun 2013 00:48:31 +0200

pcb (20110918-7) unstable; urgency=low

  * Force 64-bit coordinate types (even on 32-bit archs)
    Thanks to Keith Packard <keithp@debian.org> (Closes: #683980)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Aug 2012 11:11:20 +0200

pcb (20110918-6) unstable; urgency=low

  * Imported patch from Ubuntu and forwarded it upstream:
    debian/patches/drop_check_global_included.patch:
    Drop the #if check for the declaration of hid_get_extents().
  * Added fix_CPPFLAGS.diff patch to Append input CPPFLAGS for lesstif target

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 May 2012 13:14:33 +0200

pcb (20110918-5) unstable; urgency=low

  * Added 0001-Fixed-command-line-batch-output-for-some-exporters.patch from
    upstream git to fix command line batch output for some exporters.
    Thanks to Traumflug <mah@jump-ing.de> (LP: #988503)
  * Bumped compat level to 9
  * debian/control: Updated Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 08 May 2012 21:30:17 +0200

pcb (20110918-4) unstable; urgency=low

  * Close 644139 in previous changelog entry
  * Added disable_hid_png3_test.diff to disable hid_png3 test
    (Closes: #642923)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 20 Dec 2011 20:45:37 +0200

pcb (20110918-3) unstable; urgency=low

  * debian/rules: Remove needlessly installed header file. (Closes: #644139)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Oct 2011 21:40:56 +0200

pcb (20110918-2) unstable; urgency=low

  * Added default_GtkFileChooser_cwd.diff patch to default the GTK file
    chooser dialogs to cwd (Closes: #642060)
  * debian/control: Remove ${shlib:Depends} from pcb-common's dependencies.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 17:12:08 +0200

pcb (20110918-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Added URL for gEDA website
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Replaced Build-Dep on libgtk2.0-dev & libglib2.0-dev with
      libgtkglext1-dev
  * Bumped compat level 8
  * debian/copyright:
    + Updated copyright years
    + Updated copyright format
  * debian/rules:
    + Remove needlessly installed static library before installing common
      files
    + Added override for dh_auto_test to run tests in build dirs
  * Added fix_typo.diff patch to fix a typo
  * Added fix_pan_action.diff patch to fix pan action to stop after button
    release outside window master (Closes: #562641)
  * debian/pcb-{gtk,lesstiff}.lintian-overrides: Added overrides for false
    spelling-error tags
  * Added imagemagick & gerbv to Build-Deps to enable test suite
  * Added pcbtest_paths.diff patch to fix path for lib/pcblib-newlib

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 12:21:08 +0200

pcb (20100929-2) unstable; urgency=low

  * Install PDF version of refcard instead of the DVI, as the PDF got
    fixed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 08 Nov 2010 07:33:30 +0200

pcb (20100929-1) unstable; urgency=low

  * New upstream release (Closes: #602150)
  * debian/control:
    + Updated my email address
    + Added DMUA after sponsors consent
    (http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html)
    + Added intltool to Build-Deps
    + Bumped Standards-Version to 3.9.1, no changes needed.
  * Removed desktop.diff & manpage.diff patches, as they got applied
    upstream. Credit to chrysn <chrysn@fsfe.org>.
  * LED and LED.NET are now named LED.pcb and LED.net.
    Credit to chrysn <chrysn@fsfe.org>.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Nov 2010 09:33:10 +0200

pcb (20091103-2) unstable; urgency=low

  * Modified desktop.diff patch: do not add Education;Science categories
  * debian/rules: check whether pcb-common is built before operating on
    it, this is a workaround for builders that only build binary-arch
    (Closes: #556298). Thanks to Maia Kozheva <sikon@ubuntu.com>.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 19 Nov 2009 10:30:13 +0200

pcb (20091103-1) unstable; urgency=low

  * New upstream release. (Closes: #520909, #294278)
  * Switch to source format 3.0 (quilt).
  * debian/control:
    + Bumped Standards-Version to 3.8.3, no changes needed.
    + Build-Depend on debhelper (>= 7.4.3~).
    + Update version of tcl/tk dependencies to 8.5
    + Add ${misc:Depends} to binary packages' dependencies.
    + Added Homepage field.
    + Added myself to uploaders.
    + Added to extended description of pcb-common.
    + Added Vcs-* fields.
  * debian/compat: Bumped compat level to 7
  * debian/rules:
    + Simplified rules file.
    + Do not install Merge* in /usr/bin since they already get installed in
      /usr/share/pcb/tools
    + Install DVI version of refcard since the PDF version is messed up.
    + Add --enable-dependency-tracking option to CONFIGURE_OPTS to make
      out-of-source building work.
    + Add -Wl,--as-needed to LDFLAGS.
  * Added pcb-common.docs, pcb-gtk.links, pcb-lesstif.links,
    debian/pcb-common.examples, debian/pcb-common.install,
    debian/README.source, debian/source.lintian-overrides,
    debian/pcb-gtk.lintian-overrides, debian/pcb-lesstif.lintian-overrides,
    debian/pcb-common.info, debian/pcb-common.lintian-overrides,
    debian/pcb-common.doc-base
  * Remove debian/pcb.dirs, debian/pcb-common.postinst,
    debian/pcb-common.prerm, debian/pcb-common.menu
  * Removed un-necessary entries from debian/*.dirs
  * Rename: debian/README.debian -> debian/README.Debian
  * Added patches:
    + outdated_config.diff to for config.{sub,guess} to call their up-to-date
      versions. (Closes: #538882)
    + desktop.diff to fix the following in the pcb.desktop file:
      - Remove Encoding field
      - Add Education;Science as main categories
    + manpage.diff to fix manpage error.
  * debian/copyright: Rewrote in machine-readable format.
  * Regenerated debian/pcb.xpm from upstream provided pcb.svg

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 29 Oct 2009 10:11:20 +0200

pcb (20080202-2) unstable; urgency=low

  * Call dh_installmime in debian/rules to register the MIME types properly
  * Added Recommends: for extra-xdg-menus, which will add an Electronics
    menu to your freedesktop environment.

 -- Hamish Moffatt <hamish@debian.org>  Wed, 13 Feb 2008 00:47:14 +1100

pcb (20080202-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Tue, 12 Feb 2008 23:30:35 +1100

pcb (20070912-6) unstable; urgency=low

  * Added build-dependency on libxmu-dev, as pcb will use libXmu if found at
    configure time.

 -- Hamish Moffatt <hamish@debian.org>  Sun, 27 Jan 2008 12:31:13 +1100

pcb (20070912-5) unstable; urgency=low

  * Added the LessTif user-interface as an option. To this end, the package
    is now split into:
    - pcb, a meta-package depending on one of the two UIs,
    - pcb-common, containing common files,
    - pcb-gtk, containing only the existing GTK+ user-interface, and
    - pcb-lesstif, containing only the LessTif user-interface.

    The two UIs provide /usr/bin/pcb via the alternatives mechanism.
    At least one of the two must be installed.

 -- Hamish Moffatt <hamish@debian.org>  Tue, 01 Jan 2008 13:11:36 +1100

pcb (20070912-4) unstable; urgency=low

  * Add build-dependency on libdbus-1-dev

 -- Hamish Moffatt <hamish@debian.org>  Thu, 18 Oct 2007 23:34:11 +1000

pcb (20070912-3) unstable; urgency=low

  * Changed the Menu structure to adhere to the new menu policy.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 10 Oct 2007 08:39:08 +0530

pcb (20070912-2) unstable; urgency=low

  * enabled dbus in the build (closes: #446038)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 10 Oct 2007 08:16:22 +0530

pcb (20070912-1) unstable; urgency=low

  * New Upstream Release.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 18 Sep 2007 18:56:27 +0530

pcb (20070208p1-1) unstable; urgency=low

  * New upstream release (closes: #425116)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 08 Jul 2007 19:48:33 +0530

pcb (20060822-1) unstable; urgency=low

  * New upstream release (closes: #386585, #387219, #387315)
  * Added watch file
  * Added desktop file (closes: #367617). Thanks to Vassilis Pandis.
  * Updated to standards-revision 3.7.2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 17 Sep 2006 09:17:24 +1000

pcb (20050609-1) unstable; urgency=low

  * New upstream snapshot 20050609 (closes: #343339)
    * Uses GTK+ rather than raw X11
    * Uses standard polarity for solder masks (closes: #337653)
  * Change build-deps from xlibs-dev to individual libraries

 -- Hamish Moffatt <hamish@debian.org>  Sun, 18 Dec 2005 00:13:39 +1100

pcb (1.99j+20050127-2) unstable; urgency=low

  * Improved package description: (closes: #295405)
  * Fixed dependency: tk84 -> tk8.4 (closes: #295404)
  * Updated README.debian (closes: #269578)
  * Applied patch to src/djopt.c to allow compilation with gcc-4.0
    (closes: #294319), thanks to Andreas Jochens for the patch.
  * Prevent example files from being compressed

 -- Hamish Moffatt <hamish@debian.org>  Sun, 20 Feb 2005 13:14:00 +1100

pcb (1.99j+20050127-1) unstable; urgency=low

  * Upstream snapshot 20050127
  * Rewrote packaging for major upstream changes since last upload

 -- Hamish Moffatt <hamish@debian.org>  Tue,  8 Feb 2005 23:27:44 +1100

pcb (1.99j-1) unstable; urgency=low

  * New upstream release (Pre-2.0 version)
  * New maintainer
  * Most of the work for this version was done by the previous
    maintainer Hartmut Koptein.
  * Fixed menu entries (closes: #179496)
  * Fixed faulty entry in app-defaults (closes: #172978)
  * Fixed missing HTML documentation (closes: #127159, #126574)
  * Fixed most lintian warnings

 -- Hamish Moffatt <hamish@debian.org>  Sat,  8 Feb 2003 13:54:47 +1100

pcb (1.7.1-4.2) unstable; urgency=low

  * NMU
  * Fix build-depends.  Closes: #90603, #92442.
  * fix src/Imakefile (complexProgramTargetNoMan(pcb))
  * Add Depends: m4.  Closes: #124335

 -- LaMont Jones <lamont@debian.org>  Thu, 10 Jan 2002 15:26:54 -0700

pcb (1.7.1-4.1) unstable; urgency=low

  * NMU upload
  * Removed the automatic address setting in the changelog
  * fix /usr/X11R6/lib/X11/app-defaults -> /etc/X11/app-defaults (closes:
    #86283)
  * fix doc/Imakefile so that it actually builds again.
  * fix man page building and installation.
  * added debhelper token to postinst and postrm

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 17 Mar 2001 13:59:24 +0100

pcb (1.7.1-4) unstable; urgency=low

  * fixed usr/doc share sym-link

 -- Hartmut Koptein <koptein@debian.org>  Thu, 21 Oct 1999 13:13:23 +0200


pcb (1.7.1-3) unstable; urgency=low

  * Updated Standards-Version to 3.0.1.1

 -- Hartmut Koptein <koptein@debian.org>  Tue,  7 Sep 1999 00:50:00 +0200


pcb (1.7.1-2) unstable; urgency=low

  * debian/rules clean bug; Fixes: Bug#38670

 -- Hartmut Koptein <koptein@debian.org>  Tue,  1 Jun 1999 08:13:35 +0200


pcb (1.7.1-1) unstable; urgency=low

  * new upstream version
  * changed refcard.tex.raw for using LaTeX2e
  * varargs/glibc-2.1 changes
  * New Standards-Version: 2.5.1
  * added pcb.xpm icon for the menu (not the best, it's my own creation ;-)

 -- Hartmut Koptein <koptein@debian.org>  Fri, 14 May 1999 11:38:00 +0200


pcb (1.7-1) unstable; urgency=low

  * new upstream version
  * fixed two va_list bugs and some compiler warnings
  * changed menu entry Pcb into PCB
  * fixed lintian report errors
  * examples/* aren't compressed anymore

 -- Hartmut Koptein <koptein@debian.org>  Thu, 29 Apr 1999 19:04:32 +0200


pcb (1.6.3-1) unstable; urgency=low

  * new upstream version (not released for debian)

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Thu, 20 Aug 1998 22:40:08 +0200


pcb (1.6-2) frozen unstable; urgency=low

  * added postrm script for update-menus

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Wed,  1 Apr 1998 02:37:38 +0200


pcb (1.6-1) frozen unstable; urgency=low

  * new upstream version
  * last version is lost on master

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Sat, 28 Mar 1998 00:54:02 +0100


pcb (1.5.5-1) frozen; urgency=low

  * new upstream version
  * added pcb.ps and pcb.html to /usr/doc/pcb
  * changed menu entry to 'Technical' (menu and info)
  * changed old menu structure to the new one
  * New Standards-Version: 2.4.0.0

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Mon, 16 Mar 1998 21:36:09 +0100


pcb (1.5.3-1) unstable; urgency=low

  * new upstream version

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Mon, 17 Nov 1997 23:04:34 +0100


pcb (1.4.5-1) unstable; urgency=low

  * new upstream version

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Wed,  9 Jul 1997 02:21:50 +0200


pcb (1.4.4-1) unstable; urgency=low

  * new maintainer
  * new upstream version
  * compiled for libc6 (Bug#3413, Bug#4676 and Bug#5059)
  * enlarge discription (Bug#3635)
  * obsolete Bugs #3872 and #4026
  * added menu entry Apps/Electronics/PCB
  * added examples

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Wed,  9 Jul 1997 02:21:50 +0200


pcb (1.4.3-1) unstable; urgency=low

  * Initial Release.

 -- Michael Mattice <mattice@mattice.reslife.okstate.edu>  Thu, 21 Nov 1996 23:13:19 -0600
